@charset "UTF-8";

/**
 * Page Comments Styles
 * 
  */

@font-face {
  font-family: star;
  src: url(../../../plugins/woocommerce/assets/fonts/WooCommerce.woff2) format("woff2"),
    url(../../../plugins/woocommerce/assets/fonts/WooCommerce.woff) format("woff"),
    url(../../../plugins/woocommerce/assets/fonts/WooCommerce.ttf) format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: WooCommerce;
  src: url(../../../plugins/woocommerce/assets/fonts/WooCommerce.woff2) format("woff2"),
    url(../../../plugins/woocommerce/assets/fonts/WooCommerce.woff) format("woff"),
    url(../../../plugins/woocommerce/assets/fonts/WooCommerce.ttf) format("truetype");
  font-weight: 400;
  font-style: normal;
}

.page .star-rating,
.single .star-rating {
  float: right;
  overflow: hidden;
  position: relative;
  height: 1em;
  line-height: 1;
  font-size: 1em;
  width: 5.4em;
  font-family: WooCommerce;
}

.page .star-rating::before,
.single .star-rating::before {
  content: "sssss";
  color: #cfc8d8;
  float: left;
  top: 0;
  left: 0;
  position: absolute;
}

.page .star-rating span,
.single .star-rating span {
  overflow: hidden;
  float: left;
  top: 0;
  left: 0;
  position: absolute;
  padding-top: 1.5em;
}

.page .star-rating span::before,
.single .star-rating span::before {
  content: "SSSSS";
  color: var(--bs-yellow);
  top: 0;
  position: absolute;
  left: 0;
}

.page section.comments .comments__list ul.children .star-rating,
.single section.comments .comments__list ul.children .star-rating {
  display: none;
}

.page .hreview-aggregate .star-rating,
.single .hreview-aggregate .star-rating {
  margin: 10px 0 0;
}

.page p.stars a,
.single p.stars a {
  position: relative;
  height: 1em;
  width: 1em;
  text-indent: -999em;
  display: inline-block;
  text-decoration: none;
  font-size: 24px;
}

.page p.stars a::before,
.single p.stars a::before {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 1em;
  height: 1em;
  line-height: 1;
  font-family: WooCommerce;
  content: "\e021";
  text-indent: 0;
}

.page p.stars a:hover~a::before,
.single p.stars a:hover~a::before {
  content: "\e021";
}

.page p.stars:hover a::before,
.single p.stars:hover a::before {
  content: "\e020";
}

.page p.stars.selected a.active::before,
.single p.stars.selected a.active::before {
  content: "\e020";
}

.page p.stars.selected a:not(.active)::before,
.single p.stars.selected a:not(.active)::before {
  content: "\e020";
}

.page p.stars.selected a.active~a::before,
.single p.stars.selected a.active~a::before {
  content: "\e021";
}

.page section.comments h2 small,
.single section.comments h2 small {
  float: right;
  color: #767676;
  font-size: 15px;
  margin: 10px 0 0;
}

.page section.comments h2 small a,
.single section.comments h2 small a {
  text-decoration: none;
  color: #767676;
}

.page section.comments h3,
.single section.comments h3 {
  margin: 0;
}

.page section.comments #respond,
.single section.comments #respond {
  margin: 0;
  border: 0;
  padding: 0;
}

.page section.comments #comment,
.single section.comments #comment {
  height: 75px;
}

.page section.comments .add_review::after,
.page section.comments .add_review::before,
.single section.comments .add_review::after,
.single section.comments .add_review::before {
  content: " ";
  display: table;
}

.page section.comments .add_review::after,
.single section.comments .add_review::after {
  clear: both;
}

.page section.comments h2,
.single section.comments h2 {
  clear: none;
}

.page section.comments .comments__list,
.single section.comments .comments__list {
  margin: 0;
  width: 100%;
  background: 0 0;
}

.page section.comments .comments__list::after,
.page section.comments .comments__list::before,
.single section.comments .comments__list::after,
.single section.comments .comments__list::before {
  content: " ";
  display: table;
}

.page section.comments .comments__list::after,
.single section.comments .comments__list::after {
  clear: both;
}

.page section.comments .comments__item,
.single section.comments .comments__item {
  position: relative;
  background: 0;
}

.page section.comments .comments__item img.avatar,
.single section.comments .comments__item img.avatar {
  float: left;
  position: absolute;
  top: 0;
  left: 0;
  padding: 3px;
  width: 32px;
  height: auto;
  background: #e9e6ed;
  border: 1px solid #e1dde7;
  margin: 0;
  box-shadow: none;
}

.page section.comments .comments__item .comment_container p,
.single section.comments .comments__item .comment_container p {
  margin: 0 0 1em;
}

.page section.comments .comments__item .comment_container p.meta,
.single section.comments .comments__item .comment_container p.meta {
  font-size: .83em;
}

.page section.comments .comments__list ul.children,
.single section.comments .comments__list ul.children {
  list-style: none outside;
  margin: 0;
  /* margin: 20px 0 0 50px; */
}

.page section.comments .comments__list #respond,
.single section.comments .comments__list #respond {
  border: 1px solid #e1dde7;
  border-radius: 4px;
  padding: 1em 1em 0;
  margin: 20px 0 0 50px;
}

.page section.comments .comments__item::before,
.single section.comments .comments__item::before {
  content: "";
}

/* Карточки отзывов (аналог .news__item в archive) */
.page section.comments .comments__item {
  padding-block: 1rem 1.25rem;
}

.single section.comments .comments__item {
  padding-block: 1rem 0.5rem;
}

.page section.comments .comments__item:not(:first-child),
.single section.comments .children+.comments__item:not(:first-child) {
  border-top: 1px solid var(--bs-gray-400);
}

.single section.comments .comments__item:not(:last-child) {
  border-bottom: 1px solid var(--bs-gray-400);
}

.page #review_form #respond,
.single #review_form #respond {
  position: static;
  margin: 0;
  width: auto;
  padding: 0;
  background: transparent none;
  border: 0;
}

.page #review_form #respond::after,
.page #review_form #respond::before,
.single #review_form #respond::after,
.single #review_form #respond::before {
  content: " ";
  display: table;
}

.page #review_form #respond::after,
.single #review_form #respond::after {
  clear: both;
}

.page #review_form #respond p,
.single #review_form #respond p {
  margin: 0 0 10px;
}

.page #review_form #respond .form-submit input,
.single #review_form #respond .form-submit input {
  left: auto;
}

.page #review_form #respond textarea,
.single #review_form #respond textarea {
  box-sizing: border-box;
  width: 100%;
}

.page section.comments .comments__item .comment_container p:last-child,
.page section.comments .comments__item,
.single section.comments .comments__item .comment_container p:last-child,
.single section.comments .comments__item {
  margin-bottom: 0;
}

.page section.comments .comments__item .comment_container p.meta,
.single section.comments .comments__item .comment_container p.meta {
  font-size: 0.875rem;
  display: inline-flex;
  align-items: start;
  column-gap: 1.25rem;
  margin-bottom: 0.5rem;
  margin-right: 1.25rem;
}

.page #review_form #respond p,
.single #review_form #respond p {
  text-align: center;
}

.modal .page #review_form #respond p.stars,
.modal .single #review_form #respond p.stars {
  margin-bottom: 0;
}

.page .comment-form-rating p.stars,
.single .comment-form-rating p.stars {
  text-align: center;
}

.page .main p.stars a,
.single .main p.stars a {
  color: var(--bs-yellow);
}

.page-Reviews-title {
  display: none !important;
}

.page section.comments .comments__item .comment_container .star-rating,
.single section.comments .comments__item .comment_container .star-rating {
  display: inline-block;
  margin-bottom: 0.75rem;
}

.page-comments__top-right {
  display: flex;
  flex-direction: column;
  row-gap: 0.125rem;
  align-items: flex-end;
}

.page-comments-result-count {
  color: var(--bs-gray-500);
  margin: 0;
}